using InABox.Core;
using System;
using System.Collections.Generic;
using System.Text;

namespace InABox.Rpc
{
    public class RpcVersionResult : IRpcCommandResult
    {
        public string Version { get; set; } = "";

        public void SerializeBinary(CoreBinaryWriter writer)
        {
            writer.Write(Version);
        }

        public void DeserializeBinary(CoreBinaryReader reader)
        {
            Version = reader.ReadString();
        }

        public string? FullDescription() => null;
    }
}
